### org.jfree.layouting.renderer.process

# Class FillPhysicalPagesStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateVisualProcessStep`
  - - `org.jfree.layouting.renderer.process.FillPhysicalPagesStep`

`public class FillPhysicalPagesStep`
`extends IterateVisualProcessStep`

This Step copies all content from the logical page into the page-grid. When done, it clears the content and replaces the elements with dummy-nodes. These nodes have a fixed-size (the last known layouted size), and will not be recomputed later.

Adjoining dummy-nodes get unified into a single node, thus simplifying and pruning the document tree.

Author:
  Thomas Morgner

  ## Constructor Summary

  `FillPhysicalPagesStep()`

  ## Method Summary

  `LogicalPageBox`

  `compute(LogicalPageBox pagebox, long pageStart, long pageEnd)`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `protected boolean`

  `startBlockLevelBox(RenderBox box)`
    Invisible nodes may need special treatment here.

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

  `finishBlockLevelBox`, `finishInlineLevelBox`, `processBlockLevelChild`, `processBlockLevelNode`, `processBoxChilds`, `processFlow`, `processInlineLevelChild`, `processInlineLevelNode`, `processOtherLevelChild`, `processParagraphChilds`, `startBlockLevelBox`, `startInlineLevelBox`, `startProcessing`

## Constructor Details

### FillPhysicalPagesStep

    public FillPhysicalPagesStep()

## Method Details

### compute

    public LogicalPageBox compute(LogicalPageBox pagebox,
                                  long pageStart,
                                  long pageEnd)

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

> Overrides:
>   processParagraphChilds in interface IterateVisualProcessStep

### startBlockLevelBox

    protected boolean startBlockLevelBox(RenderBox box)

> Invisible nodes may need special treatment here.
> Overrides:
>   startBlockLevelBox in interface IterateVisualProcessStep
> Parameters:
>   `box` -
> Returns: